Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class VelocityFormatter

    java.lang.Object
      |
      +--org.apache.log.format.PatternFormatter
            |
            +--org.apache.velocity.runtime.log.VelocityFormatter

All Implemented Interfaces:
  org.apache.log.format.Formatter, org.apache.log.Formatter

public class VelocityFormatter
extends org.apache.log.format.PatternFormatter

Inner classes inherited from class org.apache.log.format.PatternFormatter
`org.apache.log.format.PatternFormatter.PatternRun`

Fields inherited from class org.apache.log.format.PatternFormatter
`EOL, m_date, m_formatSpecification, m_simpleDateFormat, MAX_TYPE, SPACE_1, SPACE_16, SPACE_2, SPACE_4, SPACE_8, TYPE_CATEGORY, TYPE_CATEGORY_STR, TYPE_CONTEXT, TYPE_CONTEXT_STR, TYPE_MESSAGE, TYPE_MESSAGE_STR, TYPE_PRIORITY, TYPE_PRIORITY_STR, TYPE_RELATIVE_TIME, TYPE_RELATIVE_TIME_STR, TYPE_TEXT, TYPE_THROWABLE, TYPE_THROWABLE_STR, TYPE_TIME, TYPE_TIME_STR`

Constructor Summary
`VelocityFormatter(java.lang.String format)`

Method Summary
`protected java.lang.String` | `getTime(long time, java.lang.String format)` Utility method to format time.

Methods inherited from class org.apache.log.format.PatternFormatter
`, addPatternRun, addTextRun, append, appendWhiteSpace, format, formatPatternRun, getCategory, getContext, getContextMap, getContextStack, getMessage, getPriority, getRTime, getStackTrace, getTypeIdFor, parse, setFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### VelocityFormatter

    public VelocityFormatter(java.lang.String format)

Method Detail

### getTime

    protected java.lang.String getTime(long time,
                                       java.lang.String format)

  Utility method to format time.
  Overrides:
    `getTime` in class `org.apache.log.format.PatternFormatter`
  Parameters:
    `time` - the time
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.